org.apache.lucene.geo

## Enum GeoUtils.WindingOrder

- java.lang.Object
- - java.lang.Enum<GeoUtils.WindingOrder>
  - - org.apache.lucene.geo.GeoUtils.WindingOrder

All Implemented Interfaces:
  Serializable, Comparable<GeoUtils.WindingOrder>

Enclosing class:
  GeoUtils

    public static enum GeoUtils.WindingOrder
    extends Enum<GeoUtils.WindingOrder>

used to define the orientation of 3 points -1 = Clockwise 0 = Colinear 1 = Counter-clockwise

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CCW`
`COLINEAR`
`CW`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static GeoUtils.WindingOrder` `fromSign(int sign)`
`int` `sign()`
`static GeoUtils.WindingOrder` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static GeoUtils.WindingOrder[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### CW

    public static final GeoUtils.WindingOrder CW

#### COLINEAR

    public static final GeoUtils.WindingOrder COLINEAR

#### CCW

    public static final GeoUtils.WindingOrder CCW

### Method Detail

#### values

    public static GeoUtils.WindingOrder[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (GeoUtils.WindingOrder c : GeoUtils.WindingOrder.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static GeoUtils.WindingOrder valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### sign

    public int sign()

#### fromSign

    public static GeoUtils.WindingOrder fromSign(int sign)